; $Id: dcs_cleanup.pro,v 1.8 2005/02/14 17:50:14 azuah Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
pro dcs_cleanup,dcs_base,message_str,skipdefaultchoices=skipdefaultchoices
;************************************************************************************************
;

compile_opt strictarr
;
dcs_multiplechoice,dcs_base,decision,"Cleanup",message_str,50,$
	skipdefaultchoices=skipdefaultchoices
;
if (decision eq 0) then return
;
if (decision eq 1) then begin
	result=findfile(!dcs_outp_directory+!dcs_rootname+"Run*",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do file_delete,result[k]
	endif
	result=findfile(!dcs_outp_directory+!dcs_rootname+"*sum.dave",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do file_delete,result[k]
	endif
	result=findfile(!dcs_outp_directory+!dcs_rootname+"*cor.dave",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do file_delete,result[k]
	endif
endif
;
; The following code is never invoked.
if (decision eq 999) then begin
	result=findfile(!dcs_outp_directory+!dcs_rootname+"Run*",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do $
			if (dialog_message("Delete "+result[k]+"?",/question,/default_no) eq "Yes") then file_delete,result[k]
	endif
	result=findfile(!dcs_outp_directory+!dcs_rootname+"*sum.dave",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do $
			if (dialog_message("Delete "+result[k]+"?",/question,/default_no) eq "Yes") then file_delete,result[k]
	endif
	result=findfile(!dcs_outp_directory+!dcs_rootname+"*cor.dave",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do $
			if (dialog_message("Delete "+result[k]+"?",/question,/default_no) eq "Yes") then file_delete,result[k]
	endif
	result=findfile(!dcs_outp_directory+!dcs_rootname+"*.*",count=count)
	if (count gt 0) then begin
		for k=0,count-1 do $
			if (dialog_message("Delete "+result[k]+"?",/question,/default_no) eq "Yes") then file_delete,result[k]
	endif
endif
;
end
