; $Id: dave_set_draw_widgets.pro,v 1.2 2005/02/09 13:53:50 dimeo Exp $
;###############################################################################
;
; NAME:
;  DAVE_SET_DRAW_WIDGETS
;
; PURPOSE:
;  Wrapper function for DAVE_FIND_ALL_DRAW_WIDGETS used for
;  backward compatibility.
;
; CATEGORY:
;  DAVE, electronic notebook.
;
; AUTHOR:
;   Robert M. Dimeo, Ph.D.
;   NIST Center for Neutron Research
;   100 Bureau Drive
;   Gaithersburg, MD 20899
;   Phone: (301) 975-8135
;   E-mail: robert.dimeo@nist.gov
;   http://www.ncnr.nist.gov/staff/dimeo
;
; LICENSE:
;  The software in this file is written by an employee of
;  National Institute of Standards and Technology
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
function dave_set_draw_widgets,tlb, _Extra = extra
ret = dave_find_all_draw_widgets(tlb,_Extra = extra)
;if keyword_set(reverse_ids) then draw_ids = reverse(draw_ids)
;if draw_ids[0] eq 0L then return,0
;for i = 0,n_elements(draw_ids)-1 do begin
;   widget_control,draw_ids[i],get_value = vis
;   vis_type = size(vis,/tname)
;   if vis_type eq 'LONG' then begin
;      wset,vis
;   endif
;   if vis_type eq 'OBJREF' then begin
;
;   endif
;endfor
return,1
end