;$Id: launch_quicklook.pro,v 1.5 2005/02/08 18:35:04 azuah Exp $
; Written by J.R.D. Copley.
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
;************************************************************************************************
pro launch_quicklook,event
;************************************************************************************************
;
compile_opt strictarr
;
;
this_event = tag_names(event,/structure_name)
register_name = 'Quick look utility'
case this_event of
'WIDGET_BUTTON':  $
   begin
      group_leader = event.top
      notify_ids = [event.id,event.top]
      widget_control,event.id,get_uvalue=path
      quicklook6, path, $
         group_leader = group_leader,notify_ids = notify_ids,  $
         register_name = register_name
   end
'WIDGET_TREE_SEL':  $
   begin
      group_leader = event.top
      notify_ids = [event.id,event.top]
      widget_control,event.id,get_uvalue=path
      quicklook6, path, $
         group_leader = group_leader,notify_ids = notify_ids,  $
         register_name = register_name
   end
else:
endcase

end
