; $Id: crossection.pro,v 1.2 2005/02/09 14:02:26 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
PRO crossection
f=[[13306.7, -5121.93, -1251.49],[ -5121.93, 30000.6, 3475.54], [-1251.49, 3475.54, 451.364]]
rm=f
th = findgen(1001) * (0.001 *2.0 *!pi)
rc=sqrt(2*alog(2)/(rm[0,0]*cos(th)^2+rm[1,1]*sin(th)^2 $
+2*rm[0,1]*sin(th)*cos(th)))
x1=rc*cos(th)
y1=rc*sin(th)
plot, x1, y1
polyfill,x1,y1,color=150

END