; $Id: translucent_image.pro,v 1.2 2005/02/09 14:02:27 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################

pro translucent_image, oImage, r, g, b, trans

    ;r = 28b
    ;g = 50b
    ;b = 125b
    ;trans = 160b

    data = bytarr(4, 256, 256)
    data[0,*,*] = r
    data[1,*,*] = g
    data[2,*,*] = b
    data[3,*,*] = trans
    ;loadct, 13
    ;window, /free, xsize=256, ysize=256
    ;device, decomposed=1
    ;tv, data, true=1
    oImage = obj_new('IDLgrImage', data,blend_function = [ 3, 4 ])

end