;$Id: labels.pro,v 1.5 2005/02/09 14:02:26 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
function labels $
	, hw=hw $
	, uhw = uhw $
	, w=w $
	, q=q $
	, uq = uq $
	, angstrom=angstrom $
	, inv_a = inv_a $
	, invA = invA $
	, chidp = chidp $
	, uchidp = uchidp $
	, _extra = _extra

	case 1 of
		keyword_set( hw ): return, '!6!s!8h!r!e!u!3_!n !7x!6'
		keyword_set( uhw ): return, '!6!s!8h!r!e!u!3_!n !7x!6 (meV)'
		keyword_set( w ): return, '!7x!6'
		keyword_set( q ): return, '!6Q!n'
		keyword_set( uq ): return, '!6Q!n (!6!sA!r!e!u!9 %!6-1!n)'
		keyword_set( angstrom ): return, '!6!sA!r!e!u!9 %!6!n'
		keyword_set( inv_a ): return, '!6!sA!r!e!u!9 %!6-1!n'
		keyword_set( invA ): return, '!6!sA!r!e!u!9 %!6-1!n'
		keyword_set( chidp ): return, '!7v"!6'
		keyword_set( uchidp ): return, '!7v"!x(Q!d0!n, !7x!x) (!7l!x!dB!u2!n/meV/'
	endcase

	return, ''

end