;$Id: oHash__define.pro,v 1.3 2005/02/09 14:02:26 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
function oHash::pull, name

	if self.N eq 0 then return, *self.null

	current = self.first
	for n = 0, self.N - 1 do begin
		if (*(*current).content).name eq name then $
			return, (*(*current).content).value
		current = (*current).next
	endfor

	return, *self.null

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro oHash::push, name, value

	current = self.first
	for n = 0, self.N - 1 do begin

		; if not ptr_valid( current ) then begin

		;	print, 'Invalid pointer current'
		;	print, n
		;	print, self.N
		;	print, ptr_valid( self.first )
		;	message, 'Stopped.'

		; endif

		if (*(*current).content).name eq name then begin
			(*(*current).content).value = value
			return
		endif
		current = (*current).next
	endfor

	self -> oQueue::push, {name:name, value:value}

end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************

;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro oHash__define

	void = { oHash $
		, inherits oQueue $
		;
		}

end