; $Id: dcs_operate.pro,v 1.5 2005/02/14 17:50:33 azuah Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
function dcs_operate,a,b,op,err=err
;************************************************************************************************
;
compile_opt strictarr
;
; This is the old code.
;dima=size(a,/dim)
;dimb=size(b,/dim)
;comparison = (dima eq dimb)
;ok = (total(comparison) eq n_elements(comparison))
;if (ok or n_elements(a) eq 1 or n_elements(b) eq 1) then begin
;	result=execute("answer=a"+op+"b")
;	return,answer
;endif else begin
;	result=dialog_message(["Cannot perform "+op+" operation","since array shapes do not match"],/error)
;	stop
;endelse
;
; This is the new code.
ndima=size(a,/n_dimensions)
ndimb=size(b,/n_dimensions)
ok=0
if (ndima eq 0 or ndimb eq 0) then ok=1 else begin
	dima=size(a,/dimensions)
	dimb=size(b,/dimensions)
	if (ndima eq ndimb and ndima eq total(dima eq dimb)) then ok=1
endelse
;
err=1-ok
answer=0
;
if (ok) then result=execute("answer = a "+op+" b") else $
	result=dialog_message(["Cannot perform "+op+" operation.",$
		"Array shapes do not match.",strjoin(string(dima)),strjoin(string(dimb))],/error)
return,answer
end
