; $Id: dcs_plot.pro,v 1.4 2005/02/14 17:50:33 azuah Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
pro dcs_plot_handler,event
;************************************************************************************************
;
compile_opt strictarr
;
widget_control,event.top,get_uvalue=state
if (event.id eq state.done) then begin
	widget_control,event.top,/destroy
	return
endif
end


;************************************************************************************************
pro dcs_plot,x,y
;************************************************************************************************
;
compile_opt strictarr
;
screensize=GET_SCREEN_SIZE()
tlb=widget_base(/col)
done=widget_button(tlb,value="DISMISS")
draw=widget_draw(tlb,xsize=screensize[0]/2,ysize=screensize[1]/2)
offset=screensize/4
widget_control,tlb,tlb_set_xoffset=offset[0],tlb_set_yoffset=offset[1]
widget_control,tlb,/realize
widget_control,draw,get_value=winid
wset,winid
plot,x,y,psym=1
state={done:done}
widget_control,tlb,set_uvalue=state
xmanager,"dcs_plot",tlb,event_handler="dcs_plot_handler"
end