; $Id: dcs_print_textfile.pro,v 1.6 2005/02/14 17:50:33 azuah Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used or if the code in this file is
;  included in another product.
;
;###############################################################################
pro dcs_print_textfile,file=file
;************************************************************************************************
;
compile_opt strictarr
;
;catch,error_status
;if (error_status ne 0) then begin
;	x=dialog_message(!error_state.message,/error)
;	return
;endif
;
if (!debug) then print,' Printing the file ',file
if (!windows) then begin
	device,print_file=file
endif
if (!unix) then begin
	command="lpr "+file
	spawn,command
endif
if (!macos) then begin
	x=dialog_message("Don''t know how to print on Mac.",/warning)
endif
print,' Printing complete.'

end