; $Id: dave_thumbrules.pro,v 1.7 2005/02/03 18:04:12 azuah Exp $
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
;
; Written by J.R.D. Copley.
;************************************************************************************************
pro dave_thumbrules,event
;************************************************************************************************
;
compile_opt strictarr
;
message=[$
	"Energy[meV] ~ 81.81/(wavelength[A]^2",$
	" 1 meV ~ 11.6K ~ 8.066 cm-1"$
	]
;
result=dialog_message(dialog_parent=event.top,message,/information,title="Some Useful Rules of Thumb")
;
end
